Skip to main content
Get Address By Country

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

PersonId, CountryId

GetAddressByCountry: Gets the person's localized address.

PersonId
integer<int32>
CountryId
integer<int32>

Response

OK

Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. Carrier object for Address.

Wgs84Latitude
number<double>

Latitude (that's north/south), decimal degrees, relative to WGS 84 ellipsoid. SuperOffice ASA is at 59.91892. This value needs no further grid reference or other qualifying information.

Wgs84Longitude
number<double>

Longitude (that's East/west), decimal degrees, relative to WGS 84 ellipsoid. SuperOffice ASA is at 10.73159. This value needs no further grid reference or other qualifying information.

LocalizedAddress
object[][]

LocalizedFieldArray is a list of LocalizedFieldList objects. Used to store localized information such as formatted address data.

Street
object

Address with structured fields (Address1, City, Zip) - does not vary its layout by country, unliked the formatted address. Carrier object for StructuredAddress.

Postal
object

Address with structured fields (Address1, City, Zip) - does not vary its layout by country, unliked the formatted address. Carrier object for StructuredAddress.

Formatted
string

Read-only formatted address multi-line string. Combines street and postal into one string. e.g.: "Postboks 123,\nBrugata 123,\n1234 OSLO\n" or "Postbox 123,\nBridgelane 123,\nWest Tooting,\nEast Shire ES2 W31\n".

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.